Index: /palm/trunk/SOURCE/coriolis.f90
===================================================================
--- /palm/trunk/SOURCE/coriolis.f90	(revision 2117)
+++ /palm/trunk/SOURCE/coriolis.f90	(revision 2118)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! OpenACC version of subroutine removed
 ! 
 ! Former revisions:
@@ -35,5 +35,4 @@
 ! 1850 2016-04-08 13:29:27Z maronga
 ! Module renamed
-! 
 ! 
 ! 1682 2015-10-07 23:56:08Z knoop
@@ -76,5 +75,5 @@
 
     PRIVATE
-    PUBLIC coriolis, coriolis_acc
+    PUBLIC coriolis
 
     INTERFACE coriolis
@@ -82,8 +81,4 @@
        MODULE PROCEDURE coriolis_ij
     END INTERFACE coriolis
-
-    INTERFACE coriolis_acc
-       MODULE PROCEDURE coriolis_acc
-    END INTERFACE coriolis_acc
 
  CONTAINS
@@ -177,100 +172,4 @@
 ! Description:
 ! ------------
-!> Call for all grid points - accelerator version
-!------------------------------------------------------------------------------!
-    SUBROUTINE coriolis_acc( component )
-
-       USE arrays_3d,                                                          &
-           ONLY:  tend, u, ug, v, vg, w 
-           
-       USE control_parameters,                                                 &
-           ONLY:  f, fs, message_string
-           
-       USE indices,                                                            &
-           ONLY:  i_left, i_right, j_north, j_south, nzb_u_inner,              &
-                  nzb_v_inner, nzb_w_inner, nzt
-                   
-       USE kinds
-
-       IMPLICIT NONE
-
-       INTEGER(iwp) ::  component  !< 
-       INTEGER(iwp) ::  i          !<
-       INTEGER(iwp) ::  j          !< 
-       INTEGER(iwp) ::  k          !<
-
-
-!
-!--    Compute Coriolis terms for the three velocity components
-       SELECT CASE ( component )
-
-!
-!--       u-component
-          CASE ( 1 )
-             !$acc  kernels present( nzb_u_inner, tend, v, vg, w )
-             DO  i = i_left, i_right
-                DO  j = j_south, j_north
-                   DO  k = 1, nzt
-                      IF  ( k > nzb_u_inner(j,i) )  THEN
-                         tend(k,j,i) = tend(k,j,i) + f  *    ( 0.25_wp *       &
-                                      ( v(k,j,i-1) + v(k,j,i) + v(k,j+1,i-1) + &
-                                        v(k,j+1,i) ) - vg(k) )                 &
-                                                   - fs *    ( 0.25_wp *       &
-                                      ( w(k-1,j,i-1) + w(k-1,j,i) + w(k,j,i-1) &
-                                        + w(k,j,i)   )                         &
-                                                             )
-                      ENDIF
-                   ENDDO
-                ENDDO
-             ENDDO
-             !$acc end kernels
-
-!
-!--       v-component
-          CASE ( 2 )
-             !$acc  kernels present( nzb_v_inner, tend, u, ug )
-             DO  i = i_left, i_right
-                DO  j = j_south, j_north
-                   DO  k = 1, nzt
-                      IF  ( k > nzb_v_inner(j,i) )  THEN
-                         tend(k,j,i) = tend(k,j,i) - f *     ( 0.25_wp *       &
-                                      ( u(k,j-1,i) + u(k,j,i) + u(k,j-1,i+1) + &
-                                        u(k,j,i+1) ) - ug(k) )
-                      ENDIF
-                   ENDDO
-                ENDDO
-             ENDDO
-             !$acc end kernels
-
-!
-!--       w-component
-          CASE ( 3 )
-             !$acc  kernels present( nzb_w_inner, tend, u )
-             DO  i = i_left, i_right
-                DO  j = j_south, j_north
-                   DO  k = 1, nzt
-                      IF  ( k > nzb_w_inner(j,i) )  THEN
-                         tend(k,j,i) = tend(k,j,i) + fs * 0.25_wp *            &
-                                      ( u(k,j,i) + u(k+1,j,i) + u(k,j,i+1) +   &
-                                        u(k+1,j,i+1) )
-                      ENDIF
-                   ENDDO
-                ENDDO
-             ENDDO
-             !$acc end kernels
-
-          CASE DEFAULT
-
-             WRITE( message_string, * ) ' wrong component: ', component
-             CALL message( 'coriolis', 'PA0173', 1, 2, 0, 6, 0 )
-
-       END SELECT
-
-    END SUBROUTINE coriolis_acc
-
-
-!------------------------------------------------------------------------------!
-! Description:
-! ------------
 !> Call for grid point i,j
 !------------------------------------------------------------------------------!
Index: /palm/trunk/SOURCE/cpulog_mod.f90
===================================================================
--- /palm/trunk/SOURCE/cpulog_mod.f90	(revision 2117)
+++ /palm/trunk/SOURCE/cpulog_mod.f90	(revision 2118)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! OpenACC relevant code removed
 ! 
 ! Former revisions:
@@ -401,5 +401,4 @@
                              average_cputime
 
-          IF ( num_acc_per_node /= 0 )  WRITE ( 18, 108 )  num_acc_per_node
           WRITE ( 18, 110 )
 #else
@@ -409,5 +408,4 @@
                              average_cputime
 
-          IF ( num_acc_per_node /= 0 )  WRITE ( 18, 109 )  num_acc_per_node
           WRITE ( 18, 110 )
 #endif
@@ -565,6 +563,4 @@
    106 FORMAT (/'Exchange of ghostpoints via MPI_ISEND/MPI_IRECV')
    107 FORMAT (//)
-   108 FORMAT ('Accelerator boards per node: ',14X,I2)
-   109 FORMAT ('Accelerator boards: ',23X,I2)
    110 FORMAT ('-------------------------------------------------------------',     &
                &'---------'//&
Index: /palm/trunk/SOURCE/diffusion_e.f90
===================================================================
--- /palm/trunk/SOURCE/diffusion_e.f90	(revision 2117)
+++ /palm/trunk/SOURCE/diffusion_e.f90	(revision 2118)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! OpenACC version of subroutine removed
 ! 
 ! Former revisions:
@@ -34,5 +34,4 @@
 ! 1873 2016-04-18 14:50:06Z maronga
 ! Module renamed (removed _mod)
-! 
 ! 
 ! 1850 2016-04-08 13:29:27Z maronga
@@ -108,5 +107,5 @@
 
     PRIVATE
-    PUBLIC diffusion_e, diffusion_e_acc
+    PUBLIC diffusion_e
     
 
@@ -116,8 +115,4 @@
     END INTERFACE diffusion_e
  
-    INTERFACE diffusion_e_acc
-       MODULE PROCEDURE diffusion_e_acc
-    END INTERFACE diffusion_e_acc
-
  CONTAINS
 
@@ -337,212 +332,4 @@
 
     END SUBROUTINE diffusion_e
-
-
-!------------------------------------------------------------------------------!
-! Description:
-! ------------
-!> Call for all grid points - accelerator version
-!------------------------------------------------------------------------------!
-    SUBROUTINE diffusion_e_acc( var, var_reference )
-
-       USE arrays_3d,                                                          &
-           ONLY:  dd2zu, ddzu, ddzw, diss, e, km, l_grid, tend, zu, zw,        &
-                  drho_air, rho_air_zw
-          
-       USE control_parameters,                                                 &
-           ONLY:  atmos_ocean_sign, g, use_single_reference_value,             &
-                  wall_adjustment, wall_adjustment_factor
-
-       USE grid_variables,                                                     &
-           ONLY:  ddx2, ddy2
-           
-       USE indices,                                                            &
-           ONLY:  i_left, i_right, j_north, j_south, nxlg, nxrg, nyng, nysg,   &
-                  nzb, nzb_s_inner, nzt
-           
-       USE kinds
-
-       USE microphysics_mod,                                                   &
-           ONLY:  collision_turbulence
-
-       USE particle_attributes,                                                &
-           ONLY:  use_sgs_for_particles, wang_kernel
-
-       IMPLICIT NONE
-
-       INTEGER(iwp) ::  i              !< 
-       INTEGER(iwp) ::  j              !< 
-       INTEGER(iwp) ::  k              !< 
-       REAL(wp)     ::  dissipation    !< 
-       REAL(wp)     ::  dvar_dz        !< 
-       REAL(wp)     ::  l              !< 
-       REAL(wp)     ::  ll             !< 
-       REAL(wp)     ::  l_stable       !< 
-       REAL(wp)     ::  var_reference  !< 
-
-#if defined( __nopointer )
-       REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  var  !< 
-#else
-       REAL(wp), DIMENSION(:,:,:), POINTER ::  var  !< 
-#endif
-
-
-!
-!--    This if clause must be outside the k-loop because otherwise
-!--    runtime errors occur with -C hopt on NEC
-       IF ( use_single_reference_value )  THEN
-
-          !$acc kernels present( ddzu, ddzw, dd2zu, diss, e, km, l_grid ) &
-          !$acc         present( nzb_s_inner, tend, var, zu, zw )
-          DO  i = i_left, i_right
-             DO  j = j_south, j_north
-                DO  k = 1, nzt
-
-                   IF ( k > nzb_s_inner(j,i) )  THEN
-!
-!--                   Calculate the mixing length (for dissipation)
-                      dvar_dz = atmos_ocean_sign * &
-                                ( var(k+1,j,i) - var(k-1,j,i) ) * dd2zu(k)
-                      IF ( dvar_dz > 0.0_wp ) THEN
-                         l_stable = 0.76_wp * SQRT( e(k,j,i) ) / &
-                                       SQRT( g / var_reference * dvar_dz ) + 1E-5_wp
-                      ELSE
-                         l_stable = l_grid(k)
-                      ENDIF
-!
-!--                   Adjustment of the mixing length
-                      IF ( wall_adjustment )  THEN
-                         l  = MIN( wall_adjustment_factor *          &
-                                   ( zu(k) - zw(nzb_s_inner(j,i)) ), &
-                                   l_grid(k), l_stable )
-                         ll = MIN( wall_adjustment_factor *          &
-                                   ( zu(k) - zw(nzb_s_inner(j,i)) ), &
-                                   l_grid(k) )
-                      ELSE
-                         l  = MIN( l_grid(k), l_stable )
-                         ll = l_grid(k)
-                      ENDIF
-!
-!--                   Calculate the tendency terms
-                      dissipation = ( 0.19_wp + 0.74_wp * l / ll ) * &
-                                          e(k,j,i) * SQRT( e(k,j,i) ) / l
-
-                      tend(k,j,i) = tend(k,j,i)                                  &
-                                        + (                                    &
-                          ( km(k,j,i)+km(k,j,i+1) ) * ( e(k,j,i+1)-e(k,j,i) )  &
-                        - ( km(k,j,i)+km(k,j,i-1) ) * ( e(k,j,i)-e(k,j,i-1) )  &
-                                          ) * ddx2                             &
-                                        + (                                    &
-                          ( km(k,j,i)+km(k,j+1,i) ) * ( e(k,j+1,i)-e(k,j,i) )  &
-                        - ( km(k,j,i)+km(k,j-1,i) ) * ( e(k,j,i)-e(k,j-1,i) )  &
-                                          ) * ddy2                             &
-                                        + (                                    &
-               ( km(k,j,i)+km(k+1,j,i) ) * ( e(k+1,j,i)-e(k,j,i) ) * ddzu(k+1) &
-                                                             * rho_air_zw(k)   &
-             - ( km(k,j,i)+km(k-1,j,i) ) * ( e(k,j,i)-e(k-1,j,i) ) * ddzu(k)   &
-                                                             * rho_air_zw(k-1) &
-                                          ) * ddzw(k) * drho_air(k)            &
-                                  - dissipation
-
-!
-!--                   Store dissipation if needed for calculating the sgs particle
-!--                   velocities
-                      IF ( use_sgs_for_particles  .OR.  wang_kernel  .OR.      &
-                           collision_turbulence )  THEN
-                         diss(k,j,i) = dissipation
-                      ENDIF
-
-                   ENDIF
-
-                ENDDO
-             ENDDO
-          ENDDO
-          !$acc end kernels
-
-       ELSE
-
-          !$acc kernels present( ddzu, ddzw, dd2zu, diss, e, km, l_grid ) &
-          !$acc         present( nzb_s_inner, tend, var, zu, zw )
-          DO  i = i_left, i_right
-             DO  j = j_south, j_north
-                DO  k = 1, nzt
-
-                   IF ( k > nzb_s_inner(j,i) )  THEN
-!
-!--                   Calculate the mixing length (for dissipation)
-                      dvar_dz = atmos_ocean_sign * &
-                                ( var(k+1,j,i) - var(k-1,j,i) ) * dd2zu(k)
-                      IF ( dvar_dz > 0.0_wp ) THEN
-                         l_stable = 0.76_wp * SQRT( e(k,j,i) ) / &
-                                              SQRT( g / var(k,j,i) * dvar_dz ) + 1E-5_wp
-                      ELSE
-                         l_stable = l_grid(k)
-                      ENDIF
-!
-!--                   Adjustment of the mixing length
-                      IF ( wall_adjustment )  THEN
-                         l  = MIN( wall_adjustment_factor *          &
-                                   ( zu(k) - zw(nzb_s_inner(j,i)) ), &
-                                     l_grid(k), l_stable )
-                         ll = MIN( wall_adjustment_factor *          &
-                                   ( zu(k) - zw(nzb_s_inner(j,i)) ), &
-                                   l_grid(k) )
-                      ELSE
-                         l  = MIN( l_grid(k), l_stable )
-                         ll = l_grid(k)
-                      ENDIF
-!
-!--                   Calculate the tendency terms
-                      dissipation = ( 0.19_wp + 0.74_wp * l / ll ) * &
-                                          e(k,j,i) * SQRT( e(k,j,i) ) / l
-
-                      tend(k,j,i) = tend(k,j,i)                                &
-                                        + (                                    &
-                          ( km(k,j,i)+km(k,j,i+1) ) * ( e(k,j,i+1)-e(k,j,i) )  &
-                        - ( km(k,j,i)+km(k,j,i-1) ) * ( e(k,j,i)-e(k,j,i-1) )  &
-                                          ) * ddx2                             &
-                                        + (                                    &
-                          ( km(k,j,i)+km(k,j+1,i) ) * ( e(k,j+1,i)-e(k,j,i) )  &
-                        - ( km(k,j,i)+km(k,j-1,i) ) * ( e(k,j,i)-e(k,j-1,i) )  &
-                                          ) * ddy2                             &
-                                        + (                                    &
-               ( km(k,j,i)+km(k+1,j,i) ) * ( e(k+1,j,i)-e(k,j,i) ) * ddzu(k+1) &
-                                                             * rho_air_zw(k)   &
-             - ( km(k,j,i)+km(k-1,j,i) ) * ( e(k,j,i)-e(k-1,j,i) ) * ddzu(k)   &
-                                                             * rho_air_zw(k-1) &
-                                          ) * ddzw(k) * drho_air(k)            &
-                                  - dissipation
-
-!
-!--                   Store dissipation if needed for calculating the sgs
-!--                   particle  velocities
-                      IF ( use_sgs_for_particles  .OR.  wang_kernel  .OR.      &
-                           collision_turbulence )  THEN
-                         diss(k,j,i) = dissipation
-                      ENDIF
-
-                   ENDIF
-
-                ENDDO
-             ENDDO
-          ENDDO
-          !$acc end kernels
-
-       ENDIF
-
-!
-!--    Boundary condition for dissipation
-       IF ( use_sgs_for_particles  .OR.  wang_kernel  .OR.                     &
-            collision_turbulence )  THEN
-          !$acc kernels present( diss, nzb_s_inner )
-          DO  i = i_left, i_right
-             DO  j = j_south, j_north
-                diss(nzb_s_inner(j,i),j,i) = diss(nzb_s_inner(j,i)+1,j,i)
-             ENDDO
-          ENDDO
-          !$acc end kernels
-       ENDIF
-
-    END SUBROUTINE diffusion_e_acc
 
 
Index: /palm/trunk/SOURCE/diffusion_s.f90
===================================================================
--- /palm/trunk/SOURCE/diffusion_s.f90	(revision 2117)
+++ /palm/trunk/SOURCE/diffusion_s.f90	(revision 2118)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! OpenACC version of subroutine removed
 ! 
 ! Former revisions:
@@ -34,9 +34,7 @@
 ! 1873 2016-04-18 14:50:06Z maronga
 ! Module renamed (removed _mod)
-! 
-! 
+!
 ! 1850 2016-04-08 13:29:27Z maronga
 ! Module renamed
-! 
 ! 
 ! 1691 2015-10-26 16:17:44Z maronga
@@ -94,5 +92,5 @@
 
     PRIVATE
-    PUBLIC diffusion_s, diffusion_s_acc
+    PUBLIC diffusion_s
 
     INTERFACE diffusion_s
@@ -100,8 +98,4 @@
        MODULE PROCEDURE diffusion_s_ij
     END INTERFACE diffusion_s
-
-    INTERFACE diffusion_s_acc
-       MODULE PROCEDURE diffusion_s_acc
-    END INTERFACE diffusion_s_acc
 
  CONTAINS
@@ -242,138 +236,4 @@
 ! Description:
 ! ------------
-!> Call for all grid points - accelerator version
-!------------------------------------------------------------------------------!
-    SUBROUTINE diffusion_s_acc( s, s_flux_b, s_flux_t, wall_s_flux )
-
-       USE arrays_3d,                                                          &
-           ONLY:  ddzu, ddzw, kh, tend, drho_air, rho_air_zw
-           
-       USE control_parameters,                                                 & 
-           ONLY: use_surface_fluxes, use_top_fluxes
-       
-       USE grid_variables,                                                     &
-           ONLY:  ddx2, ddy2, fwxm, fwxp, fwym, fwyp, wall_w_x, wall_w_y
-       
-       USE indices, &
-           ONLY: i_left, i_right, j_north, j_south, nxlg, nxrg, nyng, nysg,    &
-                 nzb, nzb_diff_s_inner, nzb_s_inner, nzb_s_outer, nzt, nzt_diff
-           
-       USE kinds
-
-       IMPLICIT NONE
-
-       INTEGER(iwp) ::  i                 !< 
-       INTEGER(iwp) ::  j                 !< 
-       INTEGER(iwp) ::  k                 !< 
-       REAL(wp)     ::  wall_s_flux(0:4)  !< 
-       REAL(wp), DIMENSION(nysg:nyng,nxlg:nxrg) ::  s_flux_b !< 
-       REAL(wp), DIMENSION(nysg:nyng,nxlg:nxrg) ::  s_flux_t !< 
-#if defined( __nopointer )
-       REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  s  !<
-#else
-       REAL(wp), DIMENSION(:,:,:), POINTER ::  s  !<
-#endif
-
-       !$acc kernels present( ddzu, ddzw, fwxm, fwxp, fwym, fwyp, kh )        &
-       !$acc         present( nzb_diff_s_inner, nzb_s_inner, nzb_s_outer, s ) &
-       !$acc         present( s_flux_b, s_flux_t, tend, wall_s_flux )         &
-       !$acc         present( wall_w_x, wall_w_y )
-       DO  i = i_left, i_right
-          DO  j = j_south, j_north
-!
-!--          Compute horizontal diffusion
-             DO  k = 1, nzt
-                IF ( k > nzb_s_outer(j,i) )  THEN
-
-                   tend(k,j,i) = tend(k,j,i)                                   &
-                                          + 0.5_wp * (                         &
-                        ( kh(k,j,i) + kh(k,j,i+1) ) * ( s(k,j,i+1)-s(k,j,i) )  &
-                      - ( kh(k,j,i) + kh(k,j,i-1) ) * ( s(k,j,i)-s(k,j,i-1) )  &
-                                                     ) * ddx2                  &
-                                          + 0.5_wp * (                         &
-                        ( kh(k,j,i) + kh(k,j+1,i) ) * ( s(k,j+1,i)-s(k,j,i) )  &
-                      - ( kh(k,j,i) + kh(k,j-1,i) ) * ( s(k,j,i)-s(k,j-1,i) )  &
-                                                     ) * ddy2
-                ENDIF
-             ENDDO
-
-!
-!--          Apply prescribed horizontal wall heatflux where necessary
-             DO  k = 1, nzt
-                IF ( k > nzb_s_inner(j,i)  .AND.  k <= nzb_s_outer(j,i)  .AND. &
-                     ( wall_w_x(j,i) /= 0.0_wp  .OR.  wall_w_y(j,i) /= 0.0_wp ) )    &
-                THEN
-                   tend(k,j,i) = tend(k,j,i)                                   &
-                                                + ( fwxp(j,i) * 0.5_wp *       &
-                        ( kh(k,j,i) + kh(k,j,i+1) ) * ( s(k,j,i+1)-s(k,j,i) )  &
-                        + ( 1.0_wp - fwxp(j,i) ) * wall_s_flux(1)              &
-                                                   -fwxm(j,i) * 0.5_wp *       &
-                        ( kh(k,j,i) + kh(k,j,i-1) ) * ( s(k,j,i)-s(k,j,i-1) )  &
-                        + ( 1.0_wp - fwxm(j,i) ) * wall_s_flux(2)              &
-                                                  ) * ddx2                     &
-                                                + ( fwyp(j,i) * 0.5_wp *       &
-                        ( kh(k,j,i) + kh(k,j+1,i) ) * ( s(k,j+1,i)-s(k,j,i) )  &
-                        + ( 1.0_wp - fwyp(j,i) ) * wall_s_flux(3)              &
-                                                   -fwym(j,i) * 0.5_wp *       &
-                        ( kh(k,j,i) + kh(k,j-1,i) ) * ( s(k,j,i)-s(k,j-1,i) )  &
-                        + ( 1.0_wp - fwym(j,i) ) * wall_s_flux(4)              &
-                                                  ) * ddy2
-                ENDIF
-             ENDDO
-
-!
-!--          Compute vertical diffusion. In case that surface fluxes have been
-!--          prescribed or computed at bottom and/or top, index k starts/ends at
-!--          nzb+2 or nzt-1, respectively.
-             DO  k = 1, nzt_diff
-                IF ( k >= nzb_diff_s_inner(j,i) )  THEN
-                   tend(k,j,i) = tend(k,j,i)                                   &
-                                       + 0.5_wp * (                            &
-            ( kh(k,j,i) + kh(k+1,j,i) ) * ( s(k+1,j,i)-s(k,j,i) ) * ddzu(k+1)  &
-                                                            * rho_air_zw(k)    &
-          - ( kh(k,j,i) + kh(k-1,j,i) ) * ( s(k,j,i)-s(k-1,j,i) ) * ddzu(k)    &
-                                                            * rho_air_zw(k-1)  &
-                                                  ) * ddzw(k) * drho_air(k)
-                ENDIF
-             ENDDO
-
-!
-!--          Vertical diffusion at the first computational gridpoint along
-!--          z-direction
-             DO  k = 1, nzt
-                IF ( use_surface_fluxes  .AND.  k == nzb_s_inner(j,i)+1 )  THEN
-                   tend(k,j,i) = tend(k,j,i)                                   &
-                                          + ( 0.5_wp * ( kh(k,j,i)+kh(k+1,j,i) )&
-                                                     * ( s(k+1,j,i)-s(k,j,i) ) &
-                                                     * ddzu(k+1)               &
-                                                     * rho_air_zw(k)           &
-                                              + s_flux_b(j,i)                  &
-                                            ) * ddzw(k) * drho_air(k)
-                ENDIF
-
-!
-!--             Vertical diffusion at the last computational gridpoint along
-!--             z-direction
-                IF ( use_top_fluxes  .AND.  k == nzt )  THEN
-                   tend(k,j,i) = tend(k,j,i)                                   &
-                                          + ( - s_flux_t(j,i)                  &
-                                              - 0.5_wp * ( kh(k-1,j,i)+kh(k,j,i) )&
-                                                       * ( s(k,j,i)-s(k-1,j,i) )  &
-                                                       * ddzu(k)                  &
-                                                       * rho_air_zw(k-1)          &
-                                            ) * ddzw(k) * drho_air(k)
-                ENDIF
-             ENDDO
-
-          ENDDO
-       ENDDO
-       !$acc end kernels
-
-    END SUBROUTINE diffusion_s_acc
-
-
-!------------------------------------------------------------------------------!
-! Description:
-! ------------
 !> Call for grid point i,j
 !------------------------------------------------------------------------------!
